summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2010-05-11 22:55:32 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:32 +0200
commit348c00af5175605b6543c2f1173000693c9bb107 (patch)
tree92b1f2a8e0e17efeaae3e746d06a3664874c2f11
parentf2b35398db49d7dd77a3b4fe6c945d9b2ee0d4ee (diff)
downloadslackbuilds-348c00af5175605b6543c2f1173000693c9bb107.tar.gz
slackbuilds-348c00af5175605b6543c2f1173000693c9bb107.tar.xz
system/testdisk: Added to 12.1 repository
-rw-r--r--system/testdisk/README10
-rw-r--r--system/testdisk/slack-desc19
-rw-r--r--system/testdisk/testdisk.SlackBuild64
-rw-r--r--system/testdisk/testdisk.info8
4 files changed, 101 insertions, 0 deletions
diff --git a/system/testdisk/README b/system/testdisk/README
new file mode 100644
index 0000000000..9220820a2a
--- /dev/null
+++ b/system/testdisk/README
@@ -0,0 +1,10 @@
+TestDisk is a powerful free data recovery software! It was primarily
+designed to help recover lost partitions and/or make non-booting
+disks bootable again when these symptoms are caused by faulty
+software, certain types of viruses or human error (such as
+accidentally deleting a Partition Table). Partition table recovery
+using TestDisk is really easy.
+
+PhotoRec is file data recovery software designed to recover lost files
+including video, documents and archives from Hard Disks and CDRom and
+lost pictures from digital camera memory. It ignores your filesystem
diff --git a/system/testdisk/slack-desc b/system/testdisk/slack-desc
new file mode 100644
index 0000000000..522eb958d8
--- /dev/null
+++ b/system/testdisk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+testdisk: TestDisk (free data recovery software)
+testdisk:
+testdisk: TestDisk was primarily designed to help recover lost partitions
+testdisk: and/or make non-booting disks bootable again when these symptoms
+testdisk: are caused by faulty software, certain types of viruses or human
+testdisk: error (such as accidentally deleting a Partition Table).
+testdisk:
+testdisk: PhotoRec is file data recovery software designed to recover lost
+testdisk: files including video, documents and archives from Hard Disks and
+testdisk: CDRom and lost pictures from digital camera memory.
+testdisk:
diff --git a/system/testdisk/testdisk.SlackBuild b/system/testdisk/testdisk.SlackBuild
new file mode 100644
index 0000000000..af4dd9142f
--- /dev/null
+++ b/system/testdisk/testdisk.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+# Slackware build script for <testdisk>
+# Written by Michales Michaloudes korgie@gmail.com
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=testdisk
+VERSION=6.10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Thanks for ignoring the --docdir setting
+mv $PKG/usr/share/doc $PKG/usr ; rmdir $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/testdisk/testdisk.info b/system/testdisk/testdisk.info
new file mode 100644
index 0000000000..cfcbb371d8
--- /dev/null
+++ b/system/testdisk/testdisk.info
@@ -0,0 +1,8 @@
+PRGNAM="testdisk"
+VERSION="6.10"
+HOMEPAGE="http://www.cgsecurity.org"
+DOWNLOAD="http://www.cgsecurity.org/testdisk-6.10.tar.bz2"
+MD5SUM="d3bde0b546d40e029dda4e9861db40ef"
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="rworkman"